## ros-melodic-rosbridge-msgs 0.11.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbridge_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation std_msgs
)

add_message_files(
  FILES
  ConnectedClient.msg
  ConnectedClients.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs
)

=== debian/changelog ===
ros-melodic-rosbridge-msgs (0.11.12-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 25 Nov 2020 05:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.11-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 24 Nov 2020 05:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.10-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 08 Sep 2020 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.9-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 27 May 2020 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.8-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 21 May 2020 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.7-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 13 May 2020 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.6-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 29 Apr 2020 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.5-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 08 Apr 2020 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.4-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 20 Feb 2020 05:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.3-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 07 Aug 2019 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.2-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Mon, 08 Jul 2019 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.1-1stretch) stretch; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 08 May 2019 04:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.0-1stretch) stretch; urgency=high

  * Additional client information websocket (#393 <https://github.com/RobotWebTools/rosbridge_suite/issues/393>)
    * Add package rosbridge_msgs.
    * rosbridge_server: Publish additional information about connected clients.
    * rosbridge_server: Make ClientManager's add_client/remove_client methods thread safe.
    * rosbridge_server: Rm unnecessary publishing.
    * rosbridge_msgs: Cleanup/fix dependencies.
  * Contributors: Hans-Joachim Krauch

 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Fri, 29 Mar 2019 04:00:00 -0000

## ros-melodic-rosbridge-msgs 0.11.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(rosbridge_msgs)
 
 find_package(catkin REQUIRED COMPONENTS

=== debian/changelog ===
ros-melodic-rosbridge-msgs (0.11.16-2bionic) bionic; urgency=high

  * Bump minimum required cmake version. (#814 <https://github.com/RobotWebTools/rosbridge_suite/issues/814>)
  * Contributors: Hans-Joachim Krauch

 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 18 Oct 2022 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.15-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 06 Oct 2022 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.14-2bionic) bionic; urgency=high

  * Small fixes (#681 <https://github.com/RobotWebTools/rosbridge_suite/issues/681>)
  * Contributors: Matthijs van der Burgh

 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Mon, 13 Jun 2022 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.13-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 08 Dec 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.12-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 25 Nov 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.11-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 24 Nov 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.10-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Tue, 08 Sep 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.9-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 27 May 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.8-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 21 May 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.7-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 13 May 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.6-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 29 Apr 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.5-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 08 Apr 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.4-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Thu, 20 Feb 2020 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.3-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 07 Aug 2019 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.2-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Mon, 08 Jul 2019 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.1-2bionic) bionic; urgency=high



 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Wed, 08 May 2019 03:00:00 -0000

ros-melodic-rosbridge-msgs (0.11.0-2bionic) bionic; urgency=high

  * Additional client information websocket (#393 <https://github.com/RobotWebTools/rosbridge_suite/issues/393>)
    * Add package rosbridge_msgs.
    * rosbridge_server: Publish additional information about connected clients.
    * rosbridge_server: Make ClientManager's add_client/remove_client methods thread safe.
    * rosbridge_server: Rm unnecessary publishing.
    * rosbridge_msgs: Cleanup/fix dependencies.
  * Contributors: Hans-Joachim Krauch

 -- Hans-Joachim Krauch <achim@intermodalics.eu>  Fri, 29 Mar 2019 03:00:00 -0000

=== debian/control ===
Source: ros-melodic-rosbridge-msgs
Section: misc
Priority: optional
Maintainer: Hans-Joachim Krauch <achim@intermodalics.eu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rosbridge-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Package containing message files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosbridge-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
